# Uses of Interface
org.springframework.core.io.buffer.DataBuffer.ByteProcessor

Packages that use DataBuffer.ByteProcessor
Package
Description
org.springframework.core.io.buffer
Generic abstraction for working with byte buffer implementations.

## Uses of DataBuffer.ByteProcessor in org.springframework.core.io.buffer

Methods in org.springframework.core.io.buffer with parameters of type DataBuffer.ByteProcessor
Modifier and Type
Method
Description
`default int`
DataBuffer.`forEachByte(int index, int length, DataBuffer.ByteProcessor processor)`
Process a range of bytes from the current buffer using a `DataBuffer.ByteProcessor`.
`int`
NettyDataBuffer.`forEachByte(int index, int length, DataBuffer.ByteProcessor processor)`